Index: serefpolicy-contrib-20140730/privoxy.te
===================================================================
--- serefpolicy-contrib-20140730.orig/privoxy.te
+++ serefpolicy-contrib-20140730/privoxy.te
@@ -85,6 +85,7 @@ corenet_sendrecv_tor_client_packets(priv
 corenet_tcp_connect_tor_port(privoxy_t)
 corenet_tcp_sendrecv_tor_port(privoxy_t)
 
+
 dev_read_sysfs(privoxy_t)
 
 domain_use_interactive_fds(privoxy_t)
@@ -96,8 +97,6 @@ auth_use_nsswitch(privoxy_t)
 
 logging_send_syslog_msg(privoxy_t)
 
-miscfiles_read_localization(privoxy_t)
-
 userdom_dontaudit_use_unpriv_user_fds(privoxy_t)
 userdom_dontaudit_search_user_home_dirs(privoxy_t)
 
Index: serefpolicy-contrib-20140730/procmail.fc
===================================================================
--- serefpolicy-contrib-20140730.orig/procmail.fc
+++ serefpolicy-contrib-20140730/procmail.fc
@@ -1,6 +1,7 @@
-HOME_DIR/\.procmailrc	--	gen_context(system_u:object_r:procmail_home_t,s0)
+HOME_DIR/\.procmailrc -- gen_context(system_u:object_r:procmail_home_t, s0)
+/root/\.procmailrc -- gen_context(system_u:object_r:procmail_home_t, s0)
 
 /usr/bin/procmail	--	gen_context(system_u:object_r:procmail_exec_t,s0)
 
-/var/log/procmail\.log.*	--	gen_context(system_u:object_r:procmail_log_t,s0)
-/var/log/procmail(/.*)?	gen_context(system_u:object_r:procmail_log_t,s0)
+/var/log/procmail\.log.* --	gen_context(system_u:object_r:procmail_log_t,s0)
+/var/log/procmail(/.*)?		gen_context(system_u:object_r:procmail_log_t,s0) 
Index: serefpolicy-contrib-20140730/procmail.if
===================================================================
--- serefpolicy-contrib-20140730.orig/procmail.if
+++ serefpolicy-contrib-20140730/procmail.if
@@ -1,4 +1,4 @@
-## <summary>Procmail mail delivery agent.</summary>
+## <summary>Procmail mail delivery agent</summary>
 
 ########################################
 ## <summary>
@@ -15,6 +15,7 @@ interface(`procmail_domtrans',`
 		type procmail_exec_t, procmail_t;
 	')
 
+	files_search_usr($1)
 	corecmd_search_bin($1)
 	domtrans_pattern($1, procmail_exec_t, procmail_t)
 ')
@@ -34,101 +35,33 @@ interface(`procmail_exec',`
 		type procmail_exec_t;
 	')
 
+	files_search_usr($1)
 	corecmd_search_bin($1)
 	can_exec($1, procmail_exec_t)
 ')
 
 ########################################
 ## <summary>
-##	Create, read, write, and delete
-##	procmail home files.
-## </summary>
-## <param name="domain">
-##	<summary>
-##	Domain allowed access.
-##	</summary>
-## </param>
-#
-interface(`procmail_manage_home_files',`
-	gen_require(`
-		type procmail_home_t;
-	')
-
-	userdom_search_user_home_dirs($1)
-	allow $1 procmail_home_t:file manage_file_perms;
-')
-
-########################################
-## <summary>
-##	Read procmail user home content files.
-## </summary>
-## <param name="domain">
-##	<summary>
-##	Domain allowed access.
-##	</summary>
-## </param>
-#
-interface(`procmail_read_home_files',`
-	gen_require(`
-		type procmail_home_t;
-
-	')
-
-	userdom_search_user_home_dirs($1)
-	allow $1 procmail_home_t:file read_file_perms;
-')
-
-########################################
-## <summary>
-##	Relabel procmail home files.
-## </summary>
-## <param name="domain">
-##	<summary>
-##	Domain allowed access.
-##	</summary>
-## </param>
-#
-interface(`procmail_relabel_home_files',`
-	gen_require(`
-		type ppp_home_t;
-	')
-
-	userdom_search_user_home_dirs($1)
-	allow $1 procmail_home_t:file relabel_file_perms;
-')
-
-########################################
-## <summary>
-##	Create objects in user home
-##	directories with the procmail home type.
+##	Read procmail tmp files.
 ## </summary>
 ## <param name="domain">
 ##	<summary>
 ##	Domain allowed access.
 ##	</summary>
 ## </param>
-## <param name="object_class">
-##	<summary>
-##	Class of the object being created.
-##	</summary>
-## </param>
-## <param name="name" optional="true">
-##	<summary>
-##	The name of the object being created.
-##	</summary>
-## </param>
 #
-interface(`procmail_home_filetrans_procmail_home',`
+interface(`procmail_read_tmp_files',`
 	gen_require(`
-		type procmail_home_t;
+		type procmail_tmp_t;
 	')
 
-	userdom_user_home_dir_filetrans($1, procmail_home_t, $2, $3)
+	files_search_tmp($1)
+	allow $1 procmail_tmp_t:file read_file_perms;
 ')
 
 ########################################
 ## <summary>
-##	Read procmail tmp files.
+##	Read/write procmail tmp files.
 ## </summary>
 ## <param name="domain">
 ##	<summary>
@@ -136,18 +69,18 @@ interface(`procmail_home_filetrans_procm
 ##	</summary>
 ## </param>
 #
-interface(`procmail_read_tmp_files',`
+interface(`procmail_rw_tmp_files',`
 	gen_require(`
 		type procmail_tmp_t;
 	')
 
 	files_search_tmp($1)
-	allow $1 procmail_tmp_t:file read_file_perms;
+	rw_files_pattern($1, procmail_tmp_t, procmail_tmp_t)
 ')
 
 ########################################
 ## <summary>
-##	Read and write procmail tmp files.
+##	Read procmail home directory content
 ## </summary>
 ## <param name="domain">
 ##	<summary>
@@ -155,11 +88,11 @@ interface(`procmail_read_tmp_files',`
 ##	</summary>
 ## </param>
 #
-interface(`procmail_rw_tmp_files',`
+interface(`procmail_read_home_files',`
 	gen_require(`
-		type procmail_tmp_t;
+		type procmail_home_t;
 	')
 
-	files_search_tmp($1)
-	rw_files_pattern($1, procmail_tmp_t, procmail_tmp_t)
+	userdom_search_user_home_dirs($1)
+	read_files_pattern($1, procmail_home_t, procmail_home_t)
 ')
Index: serefpolicy-contrib-20140730/procmail.te
===================================================================
--- serefpolicy-contrib-20140730.orig/procmail.te
+++ serefpolicy-contrib-20140730/procmail.te
@@ -1,4 +1,4 @@
-policy_module(procmail, 1.14.0)
+policy_module(procmail, 1.13.1)
 
 ########################################
 #
@@ -14,7 +14,7 @@ type procmail_home_t;
 userdom_user_home_content(procmail_home_t)
 
 type procmail_log_t;
-logging_log_file(procmail_log_t)
+logging_log_file(procmail_log_t) 
 
 type procmail_tmp_t;
 files_tmp_file(procmail_tmp_t)
@@ -27,10 +27,14 @@ files_tmp_file(procmail_tmp_t)
 allow procmail_t self:capability { sys_nice chown fsetid setuid setgid dac_override };
 allow procmail_t self:process { setsched signal signull };
 allow procmail_t self:fifo_file rw_fifo_file_perms;
-allow procmail_t self:tcp_socket { accept listen };
+allow procmail_t self:unix_stream_socket create_socket_perms;
+allow procmail_t self:unix_dgram_socket create_socket_perms;
+allow procmail_t self:tcp_socket create_stream_socket_perms;
+allow procmail_t self:udp_socket create_socket_perms;
 
-allow procmail_t procmail_home_t:file read_file_perms;
+can_exec(procmail_t, procmail_exec_t)
 
+# Write log to /var/log/procmail.log or /var/log/procmail/.*
 allow procmail_t procmail_log_t:dir setattr_dir_perms;
 create_files_pattern(procmail_t, procmail_log_t, procmail_log_t)
 append_files_pattern(procmail_t, procmail_log_t, procmail_log_t)
@@ -40,83 +44,98 @@ logging_log_filetrans(procmail_t, procma
 allow procmail_t procmail_tmp_t:file manage_file_perms;
 files_tmp_filetrans(procmail_t, procmail_tmp_t, file)
 
-can_exec(procmail_t, procmail_exec_t)
-
+kernel_read_network_state(procmail_t)
 kernel_read_system_state(procmail_t)
 kernel_read_kernel_sysctls(procmail_t)
 
-corenet_all_recvfrom_unlabeled(procmail_t)
 corenet_all_recvfrom_netlabel(procmail_t)
 corenet_tcp_sendrecv_generic_if(procmail_t)
+corenet_udp_sendrecv_generic_if(procmail_t)
 corenet_tcp_sendrecv_generic_node(procmail_t)
-
-corenet_sendrecv_spamd_client_packets(procmail_t)
+corenet_udp_sendrecv_generic_node(procmail_t)
+corenet_tcp_sendrecv_all_ports(procmail_t)
+corenet_udp_sendrecv_all_ports(procmail_t)
+corenet_udp_bind_generic_node(procmail_t)
 corenet_tcp_connect_spamd_port(procmail_t)
-corenet_tcp_sendrecv_spamd_port(procmail_t)
-
+corenet_sendrecv_spamd_client_packets(procmail_t)
 corenet_sendrecv_comsat_client_packets(procmail_t)
-corenet_tcp_connect_comsat_port(procmail_t)
-corenet_tcp_sendrecv_comsat_port(procmail_t)
-
-corecmd_exec_bin(procmail_t)
-corecmd_exec_shell(procmail_t)
 
+dev_read_rand(procmail_t)
 dev_read_urand(procmail_t)
 
-fs_getattr_all_fs(procmail_t)
+fs_getattr_xattr_fs(procmail_t)
 fs_search_auto_mountpoints(procmail_t)
 fs_rw_anon_inodefs_files(procmail_t)
 
 auth_use_nsswitch(procmail_t)
 
+corecmd_exec_bin(procmail_t)
+corecmd_exec_shell(procmail_t)
+
 files_read_etc_runtime_files(procmail_t)
-files_read_usr_files(procmail_t)
+files_search_pids(procmail_t)
+# for spamassasin
 
-logging_send_syslog_msg(procmail_t)
+application_exec_all(procmail_t)
 
-miscfiles_read_localization(procmail_t)
+init_read_utmp(procmail_t)
 
+logging_send_syslog_msg(procmail_t)
+logging_append_all_logs(procmail_t)
+
+list_dirs_pattern(procmail_t, procmail_home_t, procmail_home_t)
+read_files_pattern(procmail_t, procmail_home_t, procmail_home_t)
 userdom_search_user_home_dirs(procmail_t)
+userdom_search_admin_dir(procmail_t)
 
-tunable_policy(`use_nfs_home_dirs',`
-	fs_manage_nfs_dirs(procmail_t)
-	fs_manage_nfs_files(procmail_t)
-	fs_manage_nfs_symlinks(procmail_t)
-')
+# only works until we define a different type for maildir
+userdom_manage_user_home_content_dirs(procmail_t)
+userdom_manage_user_home_content_files(procmail_t)
+userdom_manage_user_home_content_symlinks(procmail_t)
+userdom_manage_user_home_content_pipes(procmail_t)
+userdom_manage_user_home_content_sockets(procmail_t)
+userdom_filetrans_home_content(procmail_t)
+
+userdom_manage_user_tmp_dirs(procmail_t)
+userdom_manage_user_tmp_files(procmail_t)
+userdom_manage_user_tmp_symlinks(procmail_t)
 
-tunable_policy(`use_samba_home_dirs',`
-	fs_manage_cifs_dirs(procmail_t)
-	fs_manage_cifs_files(procmail_t)
-	fs_manage_cifs_symlinks(procmail_t)
+# Execute user executables
+userdom_exec_user_bin_files(procmail_t)
+
+mta_manage_spool(procmail_t)
+mta_read_queue(procmail_t)
+
+ifdef(`hide_broken_symptoms',`
+	mta_dontaudit_rw_queue(procmail_t)
 ')
 
+userdom_home_manager(procmail_t)
+
 optional_policy(`
-	clamav_domtrans_clamscan(procmail_t)
-	clamav_search_lib(procmail_t)
+	antivirus_domtrans(procmail_t)
+	antivirus_search_db(procmail_t)
 ')
 
 optional_policy(`
-	cyrus_stream_connect(procmail_t)
+	dovecot_stream_connect(procmail_t)
+	dovecot_read_config(procmail_t)
 ')
 
 optional_policy(`
-	mta_manage_spool(procmail_t)
-	mta_read_config(procmail_t)
-	mta_read_queue(procmail_t)
-	mta_manage_mail_home_rw_content(procmail_t)
-	mta_home_filetrans_mail_home_rw(procmail_t, dir, "Maildir")
-	mta_home_filetrans_mail_home_rw(procmail_t, dir, ".maildir")
+	cyrus_stream_connect(procmail_t)
 ')
 
 optional_policy(`
-	munin_dontaudit_search_lib(procmail_t)
+	gnome_manage_data(procmail_t)
 ')
 
 optional_policy(`
-	nagios_search_spool(procmail_t)
+	munin_dontaudit_search_lib(procmail_t)
 ')
 
 optional_policy(`
+	# for a bug in the postfix local program
 	postfix_dontaudit_rw_local_tcp_sockets(procmail_t)
 	postfix_dontaudit_use_fds(procmail_t)
 	postfix_read_spool_files(procmail_t)
@@ -126,11 +145,18 @@ optional_policy(`
 ')
 
 optional_policy(`
+	nagios_search_spool(procmail_t)
+')
+
+optional_policy(`
 	pyzor_domtrans(procmail_t)
 	pyzor_signal(procmail_t)
 ')
 
 optional_policy(`
+	mta_read_config(procmail_t)
+	mta_mailserver_delivery(procmail_t)
+	mta_manage_home_rw(procmail_t)
 	sendmail_domtrans(procmail_t)
 	sendmail_signal(procmail_t)
 	sendmail_dontaudit_rw_tcp_sockets(procmail_t)
@@ -145,3 +171,8 @@ optional_policy(`
 	spamassassin_domtrans_client(procmail_t)
 	spamassassin_read_lib_files(procmail_t)
 ')
+
+optional_policy(`
+    zarafa_stream_connect_server(procmail_t)
+    zarafa_domtrans_deliver(procmail_t)
+')
Index: serefpolicy-contrib-20140730/prosody.fc
===================================================================
--- /dev/null
+++ serefpolicy-contrib-20140730/prosody.fc
@@ -0,0 +1,8 @@
+/usr/bin/prosody		--	gen_context(system_u:object_r:prosody_exec_t,s0)
+/usr/bin/prosodyctl     --	gen_context(system_u:object_r:prosody_exec_t,s0)
+
+/usr/lib/systemd/system/prosody.service		--	gen_context(system_u:object_r:prosody_unit_file_t,s0)
+
+/var/lib/prosody(/.*)?		gen_context(system_u:object_r:prosody_var_lib_t,s0)
+
+/var/run/prosody(/.*)?		gen_context(system_u:object_r:prosody_var_run_t,s0)
Index: serefpolicy-contrib-20140730/prosody.if
===================================================================
--- /dev/null
+++ serefpolicy-contrib-20140730/prosody.if
@@ -0,0 +1,234 @@
+
+## <summary>policy for prosody</summary>
+
+########################################
+## <summary>
+##	Execute TEMPLATE in the prosody domin.
+## </summary>
+## <param name="domain">
+## <summary>
+##	Domain allowed to transition.
+## </summary>
+## </param>
+#
+interface(`prosody_domtrans',`
+	gen_require(`
+		type prosody_t, prosody_exec_t;
+	')
+
+	corecmd_search_bin($1)
+	domtrans_pattern($1, prosody_exec_t, prosody_t)
+')
+
+########################################
+## <summary>
+##	Search prosody lib directories.
+## </summary>
+## <param name="domain">
+##	<summary>
+##	Domain allowed access.
+##	</summary>
+## </param>
+#
+interface(`prosody_search_lib',`
+	gen_require(`
+		type prosody_var_lib_t;
+	')
+
+	allow $1 prosody_var_lib_t:dir search_dir_perms;
+	files_search_var_lib($1)
+')
+
+########################################
+## <summary>
+##	Read prosody lib files.
+## </summary>
+## <param name="domain">
+##	<summary>
+##	Domain allowed access.
+##	</summary>
+## </param>
+#
+interface(`prosody_read_lib_files',`
+	gen_require(`
+		type prosody_var_lib_t;
+	')
+
+	files_search_var_lib($1)
+	read_files_pattern($1, prosody_var_lib_t, prosody_var_lib_t)
+')
+
+########################################
+## <summary>
+##	Manage prosody lib files.
+## </summary>
+## <param name="domain">
+##	<summary>
+##	Domain allowed access.
+##	</summary>
+## </param>
+#
+interface(`prosody_manage_lib_files',`
+	gen_require(`
+		type prosody_var_lib_t;
+	')
+
+	files_search_var_lib($1)
+	manage_files_pattern($1, prosody_var_lib_t, prosody_var_lib_t)
+')
+
+########################################
+## <summary>
+##	Manage prosody lib directories.
+## </summary>
+## <param name="domain">
+##	<summary>
+##	Domain allowed access.
+##	</summary>
+## </param>
+#
+interface(`prosody_manage_lib_dirs',`
+	gen_require(`
+		type prosody_var_lib_t;
+	')
+
+	files_search_var_lib($1)
+	manage_dirs_pattern($1, prosody_var_lib_t, prosody_var_lib_t)
+')
+
+########################################
+## <summary>
+##	Read prosody PID files.
+## </summary>
+## <param name="domain">
+##	<summary>
+##	Domain allowed access.
+##	</summary>
+## </param>
+#
+interface(`prosody_read_pid_files',`
+	gen_require(`
+		type prosody_var_run_t;
+	')
+
+	files_search_pids($1)
+	read_files_pattern($1, prosody_var_run_t, prosody_var_run_t)
+')
+
+########################################
+## <summary>
+##	Execute prosody server in the prosody domain.
+## </summary>
+## <param name="domain">
+##	<summary>
+##	Domain allowed to transition.
+##	</summary>
+## </param>
+#
+interface(`prosody_systemctl',`
+	gen_require(`
+		type prosody_t;
+		type prosody_unit_file_t;
+	')
+
+	systemd_exec_systemctl($1)
+        systemd_read_fifo_file_passwd_run($1)
+	allow $1 prosody_unit_file_t:file read_file_perms;
+	allow $1 prosody_unit_file_t:service manage_service_perms;
+
+	ps_process_pattern($1, prosody_t)
+')
+
+
+########################################
+## <summary>
+##	Execute prosody in the prosody domain, and
+##	allow the specified role the prosody domain.
+## </summary>
+## <param name="domain">
+##	<summary>
+##	Domain allowed to transition
+##	</summary>
+## </param>
+## <param name="role">
+##	<summary>
+##	The role to be allowed the prosody domain.
+##	</summary>
+## </param>
+#
+interface(`prosody_run',`
+	gen_require(`
+		type prosody_t;
+		attribute_role prosody_roles;
+	')
+
+	prosody_domtrans($1)
+	roleattribute $2 prosody_roles;
+')
+
+########################################
+## <summary>
+##	Role access for prosody
+## </summary>
+## <param name="role">
+##	<summary>
+##	Role allowed access
+##	</summary>
+## </param>
+## <param name="domain">
+##	<summary>
+##	User domain for the role
+##	</summary>
+## </param>
+#
+interface(`prosody_role',`
+	gen_require(`
+		type prosody_t;
+		attribute_role prosody_roles;
+	')
+
+	roleattribute $1 prosody_roles;
+
+	prosody_domtrans($2)
+
+	ps_process_pattern($2, prosody_t)
+	allow $2 prosody_t:process { signull signal sigkill };
+')
+
+########################################
+## <summary>
+##	All of the rules required to administrate
+##	an prosody environment
+## </summary>
+## <param name="domain">
+##	<summary>
+##	Domain allowed access.
+##	</summary>
+## </param>
+## <rolecap/>
+#
+interface(`prosody_admin',`
+	gen_require(`
+		type prosody_t;
+		type prosody_var_lib_t;
+		type prosody_var_run_t;
+	type prosody_unit_file_t;
+	')
+
+	allow $1 prosody_t:process { ptrace signal_perms };
+	ps_process_pattern($1, prosody_t)
+
+	files_search_var_lib($1)
+	admin_pattern($1, prosody_var_lib_t)
+
+	files_search_pids($1)
+	admin_pattern($1, prosody_var_run_t)
+
+	prosody_systemctl($1)
+	admin_pattern($1, prosody_unit_file_t)
+	allow $1 prosody_unit_file_t:service all_service_perms;
+	optional_policy(`
+		systemd_passwd_agent_exec($1)
+		systemd_read_fifo_file_passwd_run($1)
+	')
+')
Index: serefpolicy-contrib-20140730/prosody.te
===================================================================
--- /dev/null
+++ serefpolicy-contrib-20140730/prosody.te
@@ -0,0 +1,75 @@
+policy_module(prosody, 1.0.0)
+
+########################################
+#
+# Declarations
+#
+
+## <desc>
+##  <p>
+##  Permit to prosody to bind apache port.
+##  Need to be activated to use BOSH.
+##  </p>
+## </desc>
+gen_tunable(prosody_bind_http_port, false)
+
+type prosody_t;
+type prosody_exec_t;
+init_daemon_domain(prosody_t, prosody_exec_t)
+
+type prosody_var_lib_t;
+files_type(prosody_var_lib_t)
+
+type prosody_var_run_t;
+files_pid_file(prosody_var_run_t)
+
+type prosody_unit_file_t;
+systemd_unit_file(prosody_unit_file_t)
+
+########################################
+#
+# prosody local policy
+#
+allow prosody_t self:capability { setuid setgid };
+allow prosody_t self:process signal_perms;
+allow prosody_t self:tcp_socket create_stream_socket_perms;
+
+manage_dirs_pattern(prosody_t, prosody_var_lib_t, prosody_var_lib_t)
+manage_files_pattern(prosody_t, prosody_var_lib_t, prosody_var_lib_t)
+manage_lnk_files_pattern(prosody_t, prosody_var_lib_t, prosody_var_lib_t)
+files_var_lib_filetrans(prosody_t, prosody_var_lib_t, { dir file lnk_file })
+
+manage_dirs_pattern(prosody_t, prosody_var_run_t, prosody_var_run_t)
+manage_files_pattern(prosody_t, prosody_var_run_t, prosody_var_run_t)
+manage_lnk_files_pattern(prosody_t, prosody_var_run_t, prosody_var_run_t)
+files_pid_filetrans(prosody_t, prosody_var_run_t, { dir file lnk_file })
+
+can_exec(prosody_t, prosody_exec_t)
+
+kernel_read_system_state(prosody_t)
+
+corecmd_exec_bin(prosody_t)
+corecmd_exec_shell(prosody_t)
+
+corenet_udp_bind_generic_node(prosody_t)
+corenet_tcp_connect_jabber_interserver_port(prosody_t)
+corenet_tcp_connect_jabber_client_port(prosody_t)
+corenet_tcp_bind_jabber_client_port(prosody_t)
+corenet_tcp_bind_jabber_interserver_port(prosody_t)
+corenet_tcp_bind_jabber_router_port(prosody_t)
+tunable_policy(`prosody_bind_http_port',`
+    corenet_tcp_bind_http_port(prosody_t)
+')
+
+dev_read_urand(prosody_t)
+
+domain_use_interactive_fds(prosody_t)
+
+files_read_etc_files(prosody_t)
+
+auth_use_nsswitch(prosody_t)
+sysnet_read_config(prosody_t)
+
+logging_send_syslog_msg(prosody_t)
+
+miscfiles_read_localization(prosody_t)
Index: serefpolicy-contrib-20140730/psad.if
===================================================================
--- serefpolicy-contrib-20140730.orig/psad.if
+++ serefpolicy-contrib-20140730/psad.if
@@ -93,9 +93,8 @@ interface(`psad_manage_config',`
 	')
 
 	files_search_etc($1)
-	allow $1 psad_etc_t:dir manage_dir_perms;
-	allow $1 psad_etc_t:file manage_file_perms;
-	allow $1 psad_etc_t:lnk_file manage_lnk_file_perms;
+	manage_dirs_pattern($1, psad_etc_t, psad_etc_t)
+	manage_files_pattern($1, psad_etc_t, psad_etc_t)
 ')
 
 ########################################
@@ -119,7 +118,7 @@ interface(`psad_read_pid_files',`
 
 ########################################
 ## <summary>
-##	Read and write psad pid files.
+##	Read and write psad PID files.
 ## </summary>
 ## <param name="domain">
 ##	<summary>
@@ -179,6 +178,45 @@ interface(`psad_append_log',`
 
 ########################################
 ## <summary>
+##	Allow the specified domain to write to psad's log files.
+## </summary>
+## <param name="domain">
+##	<summary>
+##	Domain allowed access.
+##	</summary>
+## </param>
+## <rolecap/>
+#
+interface(`psad_write_log',`
+	gen_require(`
+		type psad_var_log_t;
+	')
+
+	logging_search_logs($1)
+	write_files_pattern($1, psad_var_log_t, psad_var_log_t)
+')
+
+#######################################
+## <summary>
+##  Allow the specified domain to setattr to psad's log files.
+## </summary>
+## <param name="domain">
+##  <summary>
+##  Domain allowed access.
+##  </summary>
+## </param>
+#
+interface(`psad_setattr_log',`
+    gen_require(`
+        type psad_var_log_t;
+    ')
+
+    logging_search_logs($1)
+    setattr_files_pattern($1, psad_var_log_t, psad_var_log_t)
+')
+
+########################################
+## <summary>
 ##	Read and write psad fifo files.
 ## </summary>
 ## <param name="domain">
@@ -198,6 +236,45 @@ interface(`psad_rw_fifo_file',`
 
 #######################################
 ## <summary>
+##  Allow setattr to psad fifo files.
+## </summary>
+## <param name="domain">
+##  <summary>
+##  Domain allowed access.
+##  </summary>
+## </param>
+#
+interface(`psad_setattr_fifo_file',`
+    gen_require(`
+        type psad_t, psad_var_lib_t;
+    ')
+
+    files_search_var_lib($1)
+	allow $1 psad_var_lib_t:fifo_file setattr;
+    search_dirs_pattern($1, psad_var_lib_t, psad_var_lib_t)
+')
+
+#######################################
+## <summary>
+##  Allow search to psad lib files.
+## </summary>
+## <param name="domain">
+##  <summary>
+##  Domain allowed access.
+##  </summary>
+## </param>
+#
+interface(`psad_search_lib_files',`
+    gen_require(`
+        type psad_t, psad_var_lib_t;
+    ')
+
+    files_search_var_lib($1)
+    search_dirs_pattern($1, psad_var_lib_t, psad_var_lib_t)
+')
+
+#######################################
+## <summary>
 ##	Read and write psad temporary files.
 ## </summary>
 ## <param name="domain">
@@ -235,30 +312,34 @@ interface(`psad_rw_tmp_files',`
 interface(`psad_admin',`
 	gen_require(`
 		type psad_t, psad_var_run_t, psad_var_log_t;
-		type psad_initrc_exec_t, psad_var_lib_t;
+		type psad_initrc_exec_t, psad_var_lib_t, psad_etc_t;
 		type psad_tmp_t;
 	')
 
-	allow $1 psad_t:process { ptrace signal_perms };
+	allow $1 psad_t:process signal_perms;
 	ps_process_pattern($1, psad_t)
 
+	tunable_policy(`deny_ptrace',`',`
+		allow $1 psad_t:process ptrace;
+	')
+
 	init_labeled_script_domtrans($1, psad_initrc_exec_t)
 	domain_system_change_exemption($1)
 	role_transition $2 psad_initrc_exec_t system_r;
 	allow $2 system_r;
 
-	files_search_etc($1)
+	files_list_etc($1)
 	admin_pattern($1, psad_etc_t)
 
-	files_search_pids($1)
+	files_list_pids($1)
 	admin_pattern($1, psad_var_run_t)
 
-	logging_search_logs($1)
+	logging_list_logs($1)
 	admin_pattern($1, psad_var_log_t)
 
-	files_search_var_lib($1)
+	files_list_var_lib($1)
 	admin_pattern($1, psad_var_lib_t)
 
-	files_search_tmp($1)
+	files_list_tmp($1)
 	admin_pattern($1, psad_tmp_t)
 ')
Index: serefpolicy-contrib-20140730/psad.te
===================================================================
--- serefpolicy-contrib-20140730.orig/psad.te
+++ serefpolicy-contrib-20140730/psad.te
@@ -66,7 +66,6 @@ kernel_read_net_sysctls(psad_t)
 corecmd_exec_bin(psad_t)
 corecmd_exec_shell(psad_t)
 
-corenet_all_recvfrom_unlabeled(psad_t)
 corenet_all_recvfrom_netlabel(psad_t)
 corenet_tcp_sendrecv_generic_if(psad_t)
 corenet_tcp_sendrecv_generic_node(psad_t)
@@ -78,7 +77,6 @@ corenet_tcp_sendrecv_whois_port(psad_t)
 dev_read_urand(psad_t)
 
 files_read_etc_runtime_files(psad_t)
-files_read_usr_files(psad_t)
 
 fs_getattr_all_fs(psad_t)
 
@@ -88,8 +86,6 @@ logging_read_generic_logs(psad_t)
 logging_read_syslog_config(psad_t)
 logging_send_syslog_msg(psad_t)
 
-miscfiles_read_localization(psad_t)
-
 sysnet_exec_ifconfig(psad_t)
 
 optional_policy(`
Index: serefpolicy-contrib-20140730/ptchown.te
===================================================================
--- serefpolicy-contrib-20140730.orig/ptchown.te
+++ serefpolicy-contrib-20140730/ptchown.te
@@ -21,7 +21,6 @@ role ptchown_roles types ptchown_t;
 allow ptchown_t self:capability { chown fowner fsetid setuid };
 allow ptchown_t self:process { getcap setcap };
 
-files_read_etc_files(ptchown_t)
 
 fs_rw_anon_inodefs_files(ptchown_t)
 
@@ -31,4 +30,4 @@ term_setattr_all_ptys(ptchown_t)
 term_use_generic_ptys(ptchown_t)
 term_use_ptmx(ptchown_t)
 
-miscfiles_read_localization(ptchown_t)
+auth_read_passwd(ptchown_t)
Index: serefpolicy-contrib-20140730/pulseaudio.fc
===================================================================
--- serefpolicy-contrib-20140730.orig/pulseaudio.fc
+++ serefpolicy-contrib-20140730/pulseaudio.fc
@@ -1,9 +1,14 @@
 HOME_DIR/\.esd_auth	--	gen_context(system_u:object_r:pulseaudio_home_t,s0)
-HOME_DIR/\.pulse(/.*)?	gen_context(system_u:object_r:pulseaudio_home_t,s0)
 HOME_DIR/\.pulse-cookie	--	gen_context(system_u:object_r:pulseaudio_home_t,s0)
+HOME_DIR/\.pulse(/.*)?		gen_context(system_u:object_r:pulseaudio_home_t,s0)
+HOME_DIR/\.config/pulse(/.*)?	gen_context(system_u:object_r:pulseaudio_home_t,s0)
 
-/usr/bin/pulseaudio	--	gen_context(system_u:object_r:pulseaudio_exec_t,s0)
+/root/\.esd_auth	--	gen_context(system_u:object_r:pulseaudio_home_t,s0)
+/root/\.pulse-cookie	--	gen_context(system_u:object_r:pulseaudio_home_t,s0)
+/root/\.pulse(/.*)?		gen_context(system_u:object_r:pulseaudio_home_t,s0)
+/root/\.config/pulse(/.*)?	gen_context(system_u:object_r:pulseaudio_home_t,s0)
 
-/var/lib/pulse(/.*)?	gen_context(system_u:object_r:pulseaudio_var_lib_t,s0)
+/usr/bin/pulseaudio	--	gen_context(system_u:object_r:pulseaudio_exec_t,s0)
 
-/var/run/pulse(/.*)?	gen_context(system_u:object_r:pulseaudio_var_run_t,s0)
+/var/lib/pulse(/.*)?		gen_context(system_u:object_r:pulseaudio_var_lib_t,s0)
+/var/run/pulse(/.*)?		gen_context(system_u:object_r:pulseaudio_var_run_t,s0)
